=== debian/control ===
Source: ros-melodic-ur-calibration
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rosunit <!nocheck>, ros-melodic-ur-client-library, ros-melodic-ur-robot-driver
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ur-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libyaml-cpp-dev, ros-melodic-roscpp, ros-melodic-ur-client-library, ros-melodic-ur-robot-driver
Description: Package for extracting the factory calibration from a UR robot and change it such that it can be used by ur_description to gain a correct URDF
